﻿/*<![CDATA[*/
var rsw_mozly = navigator.userAgent.indexOf("Gecko") > -1;
var rsw_msie = navigator.userAgent.indexOf("MSIE") > -1;
var rsw_chrome = navigator.userAgent.indexOf("Chrome") > -1;
var rsw_applewebkit = navigator.userAgent.indexOf("AppleWebKit") > -1;

if(typeof(RapidSpell)=='undefined')RapidSpell = function () {
    /// <summary>RapidSpell Web client class.</summary>
};

RapidSpell.prototype.getConfigurationObject = rsw_getConfigurationObject;
RapidSpell.prototype.setParameterValue = rsw_setParameterValue;
RapidSpell.prototype.getParameterValue = rsw_getParameterValue;
RapidSpell.prototype.addEventListener = rsw_addEventListener;
RapidSpell.prototype.removeEventListener = rsw_removeEventListener;

var rsw_eventListeners = [];

function rswEventListener(eventName, listener) {
    this.eventName = eventName;
    this.listener = listener;
}

function rsw_addEventListener(eventName, listenerFunction) {
    /// <summary>Add an event listener.</summary>
    rsw_eventListeners[rsw_eventListeners.length] = new rswEventListener(eventName, listenerFunction);
}

function rsw_removeEventListener(eventName, listenerFunction) {
    /// <summary>Remove an event listener.</summary>
    var foundAt=-1;
    for (var i = 0; foundAt==-1 && i < rsw_eventListeners.length; i++) {
        if(rsw_eventListeners[i].listener==listenerFunction && rsw_eventListeners[i].eventName==eventName)
            foundAt=i;
    }
    if(foundAt>-1)
        rsw_eventListeners.splice(foundAt, 1);
}

function rsw_broadcastEvent(eventName, source, data1, data2, data3, data4, data5) {
    for (var i = 0; i < rsw_eventListeners.length; i++) {
        if (rsw_eventListeners[i].eventName == eventName)
            rsw_eventListeners[i].listener(source, data1, data2, data3, data4, data5);
    }
}



function rsw_getScriptLocation(name) {
    var scripts = document.getElementsByTagName('script');
    var l;
    
    for (var i = 0; i < scripts.length; i++) {
        if ((l = scripts[i].src.indexOf(name)) > -1) {
            return scripts[i].src.substring(0, l);
        }
    }
    alert('Sorry, cannot find a script import named ' + name + '.js, please do not rename any RapidSpell scripts.');
}

var rsw_scriptLocation = rsw_getScriptLocation('RapidSpell-');
var rapidSpell = rapidSpell ? rapidSpell : new RapidSpell();

var rsw_iever = rsw_getInternetExplorerVersion();
var rsw_thisBrowserNeedsLeadingDotDot = (rsw_iever > 0 && rsw_iever < 8) || (rsw_iever == 8 && document.compatMode == "BackCompat");

//var rsw_scriptLocation = rsw_scriptLocation ? rsw_scriptLocation : "/scripts/";

var rsw_RapidSpell_Core=true;
var rsw_ignoreDisabledTextBoxes = true;
var rsw_ignoreReadyOnlyTextBoxes = true;
//var rsw_scriptLocation = "/scripts/";
var rsw_blankLocation = '<%= WebResource("blank.html") %>'.indexOf('<') > -1 ? rsw_scriptLocation + 'blank.html' : '<%= WebResource("blank.html") %>';
rsw_rs_menu_styleURL = (rsw_thisBrowserNeedsLeadingDotDot ? "../" : "") +( '<%= WebResource("menu-net2.css") %>'.indexOf('<') > -1 ? rsw_scriptLocation + 'menu.css' : '<%= WebResource("menu-net2.css") %>');
rsw_rs_styleURL = (rsw_thisBrowserNeedsLeadingDotDot ? "../" : "") +( '<%= WebResource("rs_style-net2.css") %>'.indexOf('<') > -1 ? rsw_scriptLocation + 'rs_style.css' : '<%= WebResource("rs_style-net2.css") %>');
rsw_modalHelperURL = '<%= WebResource("RapidSpellModalHelperNET2.html") %>'.indexOf('<') > -1 ? rsw_scriptLocation + 'RapidSpellModalHelper.html' : '<%= WebResource("RapidSpellModalHelperNET2.html") %>';
var rsw_targetIDs = new Array();
var rsw_rapidSpellControls = new Array();
var rsw_config_textBoxKeys = new Array();
var rsw_config_textBoxValues = new Array();
var rsw_config_defaults = { keys: ['UserDictionaryFile', 'SuggestionsMethod', 'SeparateHyphenWords', 'IncludeUserDictionaryInSuggestions', 'IgnoreXML', 'IgnoreCapitalizedWords', 'GuiLanguage',
                                 'LanguageParser', 'Modal', 'AllowAnyCase', 'IgnoreWordsWithDigits', 'ShowFinishedMessage', 'ShowNoErrorsMessage', 'ShowXMLTags', 'AllowMixedCase',
                                 'WarnDuplicates', 'DictFile', 'PopUpWindowName', 'CreatePopUpWindow', 'ConsiderationRange', 'LookIntoHyphenatedText', 'CheckCompoundWords', 'EnableUndo',
                                 'LeaveWindowOpenForUndo', 'SSLFriendlyPage', 'IgnoreURLsAndEmailAddresses', 'IgnoreIncorrectSentenceCapitalization', 'IgnoreInEnglishLowerCaseI', 'SuggestSplitWords',
                                 'CorrectionNotifyListener', 'MaximumNumberOfSuggestions'],
    values: ['~/user-dictionary.txt', 'HASHING_SUGGESTIONS', 'false', 'true', 'false', 'false', 'ENGLISH',
                                    'ENGLISH', 'false', 'false', 'false', 'true', 'false', 'false', 'false',
                                    'true', '', '', 'false', '80', 'true', 'false', 'true',
                                    'false', rsw_blankLocation, 'true', 'false', 'false', 'true',
                                    'rsw_ondialogcorrection', '8']
};

function rsw_ondialogcorrection(a, b, c, tbName) {
    rsw_broadcastEvent('dialog_correction', null, document.getElementById(tbName), a,  b, c);
}

var rsw_menuOptionKeys = ["ENGLISH", "FRENCH", "SPANISH", "GERMAN", "ITALIAN", "PORTUGUESE", "DUTCH", "POLISH"];
var rsw_menuOptionValues = [
        ["Ignore", "Ignore All", "Add", "Edit...", "All", "Remove duplicate word", "No suggestions", "The spelling check is complete."],
        ["Ignorer", "Ignorer Tout", "Ajouter", "Éditez...", "Tout", "Enlevez le mot double", "Aucun", "Fini."],
        ["Ignorar", "Ignorar Todas", "Agregar", "Corrija...", "Todas", "Quite la palabra duplicada", "Ningunas sugerencias", "La verificación ortográfica ha finalizado."],
        ["Ignorieren", "Alle ignorieren", "Hinzufügen", "Redigieren...", "Alle", "Doppelte Wörter entfernen", "Keine vorschläge", "Die Rechtschreibprüfung ist abgeschlossen."],
        ["Ignora", "Ignora tutto", "Aggiungi", "Modifica...", "Tutto", "Rimuovi la parola duplicata", "Nessun suggerimento", "Controllo completato."],
        ["Ignore", "Ignore Tudo", "Adicione", "Edite...", "Tudo", "Remova a palavra duplicada", "Nenhumas sugestões", "A verificação de soletração está completa."],
        ["Negeren", "Alles negeren", "Toevoegen", "Corrigeren...", "Allen", "Verwijder herhaald woord", "Geen suggesties", "De spellingscontrole is voltooid."],
        ["Ignoruj", "Ignoruj wszystko", "Dodaj", "Edytuj...", "Wszystko", "Usuń podwójne wystąpienie słowa", "Nie ma sugestii", "Zakończono Sprawdzanie pisowni."]
                           ];

function SpellCheckUITextItems() {
    this.ignore;

}

function rsw_setUIText(language, item, newText) {
    var a = rsw_getLanguageArray(language);
    switch (item) {
        case "ignore": a[0] = newText; break;
        case "ignoreAll": a[1] = newText; break;
        case "add": a[2] = newText; break;
        case "edit": a[3] = newText; break;
        case "changeAll": a[4] = newText; break;
        case "removeDuplicate": a[5] = newText; break;
        case "noSuggestions": a[6] = newText; break;
        case "complete": a[7] = newText; break;

    }
}

function rsw_getLanguageArray(lang) {
    for (var i = 0; i < rsw_menuOptionKeys.length; i++) {
        if (rsw_menuOptionKeys[i] == lang)
            return rsw_menuOptionValues[i];
    }
    return null;
}

function rsw_getParameterValue(textBox, param) {
    var searchObj;
    var pos = rsw_getTextBoxIndex(textBox);


    if (pos == -1 && textBox != "default") return rsw_getParameterValue('default', param); //give default val
    else {
        if (textBox == "default") {
            searchObj = rsw_config_defaults;
        } else
            searchObj = rsw_config_textBoxValues[pos];

        var found = -1;
        for (var pp = 0; searchObj.keys && pp < searchObj.keys.length && found == -1; pp++) {
            if (searchObj.keys[pp] == param)
                found = pp;
        }
        if (found == -1) return rsw_getParameterValue('default', param);//give default val
        else {
            return searchObj.values[found];
        }
    }
}

function rsw_getConfigurationObject(textBox) {
    var synthObject = {keys:[], values:[]};
    for (var i = 0; i < rsw_config_defaults.keys.length; i++) {
        synthObject.keys[synthObject.keys.length] = rsw_config_defaults.keys[i];
        synthObject.values[synthObject.values.length] = rsw_getParameterValue(textBox, rsw_config_defaults.keys[i]);
    }
    return synthObject;
}

function rsw_getTextBoxIndex(textBox) {
    for (var i = 0; i < rsw_config_textBoxKeys.length; i++) {
        if (rsw_config_textBoxKeys[i] == textBox) return i;
    }
    return -1;
}

function rsw_setParameterValue(textBox, param, value) {
    var pos;
    param = param.replace(/^\s+|\s+$/g, '');//trim it
    if (textBox != 'default') {

        pos = rsw_getTextBoxIndex(textBox);
        if (pos == -1) {
            rsw_config_textBoxKeys[rsw_config_textBoxKeys.length] = textBox;
            pos = rsw_config_textBoxKeys.length - 1;
            rsw_config_textBoxValues[pos] = {};
        }

    }

    var targ;
    if (textBox != 'default')
        targ = rsw_config_textBoxValues[pos];
    else
        targ = rsw_config_defaults;

    var found = -1;

    for (var pp = 0; targ.keys && pp < targ.keys.length && found == -1; pp++) {
        if (targ.keys[pp] == param)
            found = pp;
    }

    if (!targ.keys) {
        targ.keys = new Array();
        targ.values = new Array();
    }

    if (found == -1) found = targ.keys.length;
    targ.keys[found] = param;
    targ.values[found] = value;

    //update scs for AYT
    if(typeof(rsw_scs)!='undefined'){
        for (var i = 0; i < rsw_scs.length; i++) {
            if (textBox=='default' || rsw_scs[i].textBoxId == textBox.id) {
                rsw_scs[i].config = rsw_getConfigurationObject(document.getElementById(rsw_scs[i].textBoxId));
                if (param == "GuiLanguage") {
                    var langArray = rsw_getLanguageArray(value);
                    if (langArray != null) {
                        rsw_setSpellCheckerText(rsw_scs[i], langArray);
                        
                    }
                }
            }
        }
    }




}

function rsw_setSpellCheckerText(spellChecker, langArray) {
    spellChecker.ignoreText = langArray[0];
    spellChecker.ignoreAllText = langArray[1];
    spellChecker.addText = langArray[2];
    spellChecker.editText = langArray[3];
    spellChecker.changeAllText = langArray[4];
    spellChecker.removeDuplicateText = langArray[5];
    spellChecker.noSuggestionsText = langArray[6];
}

function rsw_isElementVisible(tb) {
    if (document.getElementById(tb.id + "_IF") != null) return true;
    if ((tb.style && tb.style.visibility && tb.style.visibility == "hidden") || (tb.style && tb.style.display == "none"))
        return false;
    if (tb.parentElement != null)
        return rsw_isElementVisible(tb.parentElement);
    else if (typeof (tb.parentElement) == 'undefined' && tb.parentNode != null)
        return rsw_isElementVisible(tb.parentNode);
    else
        return true;
}


//---Tell Ajax it loaded OK
if (typeof (Sys) != 'undefined' && typeof (Sys.Application) != 'undefined') Sys.Application.notifyScriptLoaded();
//-------------------------

/*]]>*/