import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import com.keyoti.rapidSpell.web.*;


/** The servlet which will use the launcher button */

public class SpellUser extends HttpServlet{


	/**Process a GET request*/

	public void doGet(HttpServletRequest request,
       				  HttpServletResponse response){
		processRequest(request, response);
	}

	/**Process a POST request*/

	public void doPost(HttpServletRequest request,
       				  HttpServletResponse response){
		processRequest(request, response);
	}


	/** Generic request processor */
	protected void processRequest(HttpServletRequest request, HttpServletResponse response){
		try{
			PrintWriter pW = response.getWriter();
			pW.println("<html><body><form name='f1'><textarea name='n1' cols=50 rows=5></textarea>");

			//Add RapidSpellWebLauncher to page
			RapidSpellWebLauncherBean launcher = new RapidSpellWebLauncherBean();
			launcher.setTextComponentName("f1.n1");
			launcher.setRapidSpellWebPage("/rsuser/RSWebPopUp");
			launcher.writeHtml(pW, request);

			pW.println("</form></body></html>");
		} catch (IOException e){
			
		}


	}



}
