import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import com.keyoti.rapidSpell.web.*;


/** Note we that if the user dictionary is being used this servlet will receive GET requests aswell as the
*   usual POST requests. */
public class RSWebPopUp extends HttpServlet{


	/**Process a GET request*/

	public void doGet(HttpServletRequest request,
       				  HttpServletResponse response){
		processRequest(request, response);
	}

	/**Process a POST request*/

	public void doPost(HttpServletRequest request,
       				  HttpServletResponse response){
		processRequest(request, response);
	}


	/** Generic request processor */
	protected void processRequest(HttpServletRequest request, HttpServletResponse response){


		try{
			PrintWriter pW = response.getWriter();
			pW.println("<html><body><center>");

			//Add RapidSpellWeb to page
			RapidSpellWebBean checker = new RapidSpellWebBean();
			checker.writeHtml(pW, request);


			pW.println("</center></body></html>");
		} catch (IOException e){
			
		}

	}



}
